<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.3.450">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">

<meta name="author" content="Salim Brüggemann">
<meta name="dcterms.date" content="2023-09-20">

<title>National referendums and ballot dates over time by custom region grouping</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
/* CSS for syntax highlighting */
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
  }
pre.numberSource { margin-left: 3em;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
</style>


<script src="index_files/libs/clipboard/clipboard.min.js"></script>
<script src="index_files/libs/quarto-html/quarto.js"></script>
<script src="index_files/libs/quarto-html/popper.min.js"></script>
<script src="index_files/libs/quarto-html/tippy.umd.min.js"></script>
<script src="index_files/libs/quarto-html/anchor.min.js"></script>
<link href="index_files/libs/quarto-html/tippy.css" rel="stylesheet">
<link href="index_files/libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="index_files/libs/bootstrap/bootstrap.min.js"></script>
<link href="index_files/libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="index_files/libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">
<script src="index_files/libs/htmlwidgets-1.6.2/htmlwidgets.js"></script>
<script src="index_files/libs/plotly-binding-4.10.2/plotly.js"></script>
<script src="index_files/libs/typedarray-0.1/typedarray.min.js"></script>
<script src="index_files/libs/jquery-3.5.1/jquery.min.js"></script>
<link href="index_files/libs/crosstalk-1.2.0/css/crosstalk.min.css" rel="stylesheet">
<script src="index_files/libs/crosstalk-1.2.0/js/crosstalk.min.js"></script>
<link href="index_files/libs/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet">
<script src="index_files/libs/plotly-main-2.11.1/plotly-latest.min.js"></script>


</head>

<body class="fullcontent">

<div id="quarto-content" class="page-columns page-rows-contents page-layout-article">

<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title">National referendums and ballot dates over time by custom region grouping</h1>
</div>



<div class="quarto-title-meta">

    <div>
    <div class="quarto-title-meta-heading">Author</div>
    <div class="quarto-title-meta-contents">
             <p>Salim Brüggemann </p>
          </div>
  </div>
    
    <div>
    <div class="quarto-title-meta-heading">Published</div>
    <div class="quarto-title-meta-contents">
      <p class="date">September 20, 2023</p>
    </div>
  </div>
  
    
  </div>
  

</header>

<section id="setup" class="level2">
<h2 class="anchored" data-anchor-id="setup">Setup</h2>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb1"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="co"># load required fonts</span></span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a><span class="co"># </span><span class="al">TODO</span><span class="co">: fetch from remote with gitlabr as fallback</span></span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a>rdb.report<span class="sc">::</span><span class="fu">report_load_fonts</span>(<span class="at">path_pkg_repo_root =</span> <span class="cf">switch</span>(</span>
<span id="cb1-4"><a href="#cb1-4" aria-hidden="true" tabindex="-1"></a>  <span class="at">EXPR =</span> <span class="fu">Sys.info</span>()[[<span class="st">"user"</span>]],</span>
<span id="cb1-5"><a href="#cb1-5" aria-hidden="true" tabindex="-1"></a>  <span class="at">salim =</span> <span class="st">"~/Arbeit/ZDA/Git/zdaarau/rpkgs/rdb.report"</span>,</span>
<span id="cb1-6"><a href="#cb1-6" aria-hidden="true" tabindex="-1"></a>  cli<span class="sc">::</span><span class="fu">cli_abort</span>(<span class="fu">paste0</span>(<span class="st">"You must first add the path to your local clone of the "</span>,</span>
<span id="cb1-7"><a href="#cb1-7" aria-hidden="true" tabindex="-1"></a>                        <span class="st">"{.href [zdaarau/rpkgs/rdb.report](https://gitlab.com/zdaarau/rpkgs/rdb.report)} repository."</span>))</span>
<span id="cb1-8"><a href="#cb1-8" aria-hidden="true" tabindex="-1"></a>))</span>
<span id="cb1-9"><a href="#cb1-9" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-10"><a href="#cb1-10" aria-hidden="true" tabindex="-1"></a><span class="co"># set RNG seeds</span></span>
<span id="cb1-11"><a href="#cb1-11" aria-hidden="true" tabindex="-1"></a><span class="fu">set.seed</span>(<span class="at">seed =</span> 42L)</span>
<span id="cb1-12"><a href="#cb1-12" aria-hidden="true" tabindex="-1"></a>htmlwidgets<span class="sc">::</span><span class="fu">setWidgetIdSeed</span>(<span class="at">seed =</span> 42L)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
</div>
</section>
<section id="prepare-data" class="level2">
<h2 class="anchored" data-anchor-id="prepare-data">Prepare data</h2>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb2"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a>data_rdb <span class="ot">&lt;-</span></span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">rfrnds</span>(<span class="at">quiet =</span> <span class="cn">TRUE</span>) <span class="sc">|&gt;</span></span>
<span id="cb2-3"><a href="#cb2-3" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">filter</span>(level <span class="sc">==</span> <span class="st">"national"</span> <span class="sc">&amp;</span> date <span class="sc">&lt;</span> <span class="st">"2020-01-01"</span>) <span class="sc">|&gt;</span></span>
<span id="cb2-4"><a href="#cb2-4" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">add_world_regions</span>() <span class="sc">|&gt;</span></span>
<span id="cb2-5"><a href="#cb2-5" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">region_custom =</span></span>
<span id="cb2-6"><a href="#cb2-6" aria-hidden="true" tabindex="-1"></a>                  <span class="fu">factor</span>(<span class="at">x =</span> dplyr<span class="sc">::</span><span class="fu">if_else</span>(country_code <span class="sc">==</span> <span class="st">"CH"</span>,</span>
<span id="cb2-7"><a href="#cb2-7" aria-hidden="true" tabindex="-1"></a>                                            <span class="st">"Switzerland &amp; Liechtenstein"</span>,</span>
<span id="cb2-8"><a href="#cb2-8" aria-hidden="true" tabindex="-1"></a>                                            un_region_tier_1_name),</span>
<span id="cb2-9"><a href="#cb2-9" aria-hidden="true" tabindex="-1"></a>                         <span class="at">levels =</span> <span class="fu">c</span>(<span class="st">"Switzerland &amp; Liechtenstein"</span>,</span>
<span id="cb2-10"><a href="#cb2-10" aria-hidden="true" tabindex="-1"></a>                                    <span class="fu">levels</span>(un_region_tier_1_name))) <span class="sc">|&gt;</span></span>
<span id="cb2-11"><a href="#cb2-11" aria-hidden="true" tabindex="-1"></a>                  forcats<span class="sc">::</span><span class="fu">fct_relevel</span>(<span class="st">"Switzerland &amp; Liechtenstein"</span>,</span>
<span id="cb2-12"><a href="#cb2-12" aria-hidden="true" tabindex="-1"></a>                                       <span class="at">after =</span> 3L) <span class="sc">|&gt;</span></span>
<span id="cb2-13"><a href="#cb2-13" aria-hidden="true" tabindex="-1"></a>                  forcats<span class="sc">::</span><span class="fu">fct_recode</span>(<span class="st">"rest of Europe"</span> <span class="ot">=</span> <span class="st">"Europe"</span>)) <span class="sc">|&gt;</span></span>
<span id="cb2-14"><a href="#cb2-14" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">add_democracy_waves</span>() <span class="sc">|&gt;</span></span>
<span id="cb2-15"><a href="#cb2-15" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">add_era</span>()</span>
<span id="cb2-16"><a href="#cb2-16" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb2-17"><a href="#cb2-17" aria-hidden="true" tabindex="-1"></a>data_rdb_by_date <span class="ot">&lt;-</span> data_rdb <span class="sc">|&gt;</span> rdb<span class="sc">::</span><span class="fu">as_ballot_dates</span>(<span class="at">cols_to_retain =</span> region_custom)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
</div>
</section>
<section id="create-plots" class="level2">
<h2 class="anchored" data-anchor-id="create-plots">Create plots</h2>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb3"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a>plotly_objs <span class="ot">&lt;-</span> <span class="fu">list</span>()</span>
<span id="cb3-2"><a href="#cb3-2" aria-hidden="true" tabindex="-1"></a>ggplots <span class="ot">&lt;-</span> <span class="fu">list</span>()</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
</div>
<section id="number-of-referendums" class="level3">
<h3 class="anchored" data-anchor-id="number-of-referendums">Number of referendums</h3>
<section id="absolute-number-of-referendums-per-decade-spline-interpolated" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-referendums-per-decade-spline-interpolated">Absolute number of referendums per decade (spline interpolated)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb4"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_decade"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb4-3"><a href="#cb4-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds_per_period</span>(<span class="at">by =</span> region_custom,</span>
<span id="cb4-4"><a href="#cb4-4" aria-hidden="true" tabindex="-1"></a>                           <span class="at">period =</span> <span class="st">"decade"</span>) <span class="sc">|&gt;</span></span>
<span id="cb4-5"><a href="#cb4-5" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>decade,</span>
<span id="cb4-6"><a href="#cb4-6" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb4-7"><a href="#cb4-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb4-8"><a href="#cb4-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb4-9"><a href="#cb4-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb4-10"><a href="#cb4-10" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb4-11"><a href="#cb4-11" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb4-12"><a href="#cb4-12" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb4-13"><a href="#cb4-13" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb4-14"><a href="#cb4-14" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb4-15"><a href="#cb4-15" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb4-16"><a href="#cb4-16" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb4-17"><a href="#cb4-17" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_decade"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-30e4409849e39179307f" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-30e4409849e39179307f">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,3,2,2,1,0,0,1,0,4,4,5,27,42,49,30,49,38,27],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,3,0,0,0,1,5,6,0,5,1,4,16,19,15,18,18,28,20,108,79,91],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,0,0,0,0,0,1,0,1,0,3,11,14,18,24,24,30,71,60],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[2,1,0,0,0,1,0,9,11,12,22,14,11,32,23,17,45,26,86,62,100,91,82],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[13,10,1,0,0,1,2,29,3,0,0,9,17,24,31,23,23,28,46,54,165,119,124],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,0,0,0,0,0,10,11,23,12,11,18,10,39,66,127,158,78,45],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="absolute-number-of-referendums-per-two-decades-20-years-spline-interpolated" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-referendums-per-two-decades-20-years-spline-interpolated">Absolute number of referendums per two decades (20 years) (spline interpolated)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb5"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_bidecade"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb5-2"><a href="#cb5-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb5-3"><a href="#cb5-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">add_period</span>(<span class="at">period =</span> <span class="st">"year"</span>) <span class="sc">|&gt;</span></span>
<span id="cb5-4"><a href="#cb5-4" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">bidecade =</span> (year <span class="sc">%/%</span> 20L) <span class="sc">*</span> 20L) <span class="sc">|&gt;</span></span>
<span id="cb5-5"><a href="#cb5-5" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds</span>(<span class="at">by =</span> <span class="fu">c</span>(region_custom, bidecade)) <span class="sc">|&gt;</span></span>
<span id="cb5-6"><a href="#cb5-6" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>bidecade,</span>
<span id="cb5-7"><a href="#cb5-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb5-8"><a href="#cb5-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb5-9"><a href="#cb5-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb5-10"><a href="#cb5-10" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb5-11"><a href="#cb5-11" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb5-12"><a href="#cb5-12" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb5-13"><a href="#cb5-13" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb5-14"><a href="#cb5-14" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb5-15"><a href="#cb5-15" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb5-16"><a href="#cb5-16" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb5-17"><a href="#cb5-17" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-18"><a href="#cb5-18" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_bidecade"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-2e17466358a46d139971" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-2e17466358a46d139971">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,5,3,0,1,8,32,91,79,65],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,3,1,11,5,5,35,33,46,128,170],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,0,0,1,1,3,25,42,54,131],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[2,1,1,20,34,25,55,62,112,162,173],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[13,11,3,32,0,26,55,46,74,219,243],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,0,0,10,34,23,28,105,285,123],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="absolute-number-of-referendums-per-era" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-referendums-per-era">Absolute number of referendums per era</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb6"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_era"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb6-2"><a href="#cb6-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb6-3"><a href="#cb6-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds</span>(<span class="at">by =</span> <span class="fu">c</span>(region_custom, era)) <span class="sc">|&gt;</span></span>
<span id="cb6-4"><a href="#cb6-4" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>era,</span>
<span id="cb6-5"><a href="#cb6-5" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb6-6"><a href="#cb6-6" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb6-7"><a href="#cb6-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb6-8"><a href="#cb6-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb6-9"><a href="#cb6-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb6-10"><a href="#cb6-10" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb6-11"><a href="#cb6-11" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb6-12"><a href="#cb6-12" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb6-13"><a href="#cb6-13" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb6-14"><a href="#cb6-14" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb6-15"><a href="#cb6-15" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb6-16"><a href="#cb6-16" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_era"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-6e8228581aa3e4de6c04" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-6e8228581aa3e4de6c04">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9","type":"category","categoryorder":"array","categoryarray":["pre-Cold War","Cold War","post-Cold War"]},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[21,162,101],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[69,96,272],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[15,90,152],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[147,241,259],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[160,176,386],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["pre-Cold War","Cold War","post-Cold War"],"y":[77,299,232],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="absolute-number-of-referendums-per-democratizationautocratization-wave" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-referendums-per-democratizationautocratization-wave">Absolute number of referendums per democratization/autocratization wave</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb7"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_democracy_wave"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb7-2"><a href="#cb7-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb7-3"><a href="#cb7-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds</span>(<span class="at">by =</span> <span class="fu">c</span>(region_custom, wave_of_democracy)) <span class="sc">|&gt;</span></span>
<span id="cb7-4"><a href="#cb7-4" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>wave_of_democracy,</span>
<span id="cb7-5"><a href="#cb7-5" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb7-6"><a href="#cb7-6" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb7-7"><a href="#cb7-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb7-8"><a href="#cb7-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb7-9"><a href="#cb7-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb7-10"><a href="#cb7-10" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb7-11"><a href="#cb7-11" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb7-12"><a href="#cb7-12" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb7-13"><a href="#cb7-13" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb7-14"><a href="#cb7-14" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb7-15"><a href="#cb7-15" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb7-16"><a href="#cb7-16" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_rfrnds_per_democracy_wave"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-d3a15b670239e029179d" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-d3a15b670239e029179d">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9","type":"category","categoryorder":"array","categoryarray":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"]},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[12,5,35,77,72,83],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[28,38,28,34,56,253],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[2,6,26,34,41,148],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[105,37,60,90,128,227],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[98,44,44,63,130,343],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":["1st wave of democratization","1st reverse wave","2nd wave of democratization","2nd reverse wave","3rd wave of democratization","3rd reverse wave"],"y":[50,17,31,91,201,218],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="share-of-referendums-per-year" class="level4">
<h4 class="anchored" data-anchor-id="share-of-referendums-per-year">Share of referendums per year</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb8"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb8-1"><a href="#cb8-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"rfrnd_share_per_year"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb8-2"><a href="#cb8-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb8-3"><a href="#cb8-3" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">region_custom =</span> forcats<span class="sc">::</span><span class="fu">fct_rev</span>(region_custom)) <span class="sc">|&gt;</span></span>
<span id="cb8-4"><a href="#cb8-4" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">plot_rfrnd_share_per_period</span>(<span class="at">by =</span> region_custom,</span>
<span id="cb8-5"><a href="#cb8-5" aria-hidden="true" tabindex="-1"></a>                                   <span class="at">period =</span> <span class="st">"decade"</span>) <span class="sc">|&gt;</span></span>
<span id="cb8-6"><a href="#cb8-6" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb8-7"><a href="#cb8-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb8-8"><a href="#cb8-8" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"rfrnd_share_per_year"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-2a8e9539872343d5916c" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-2a8e9539872343d5916c">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"mode":"none","stackgroup":"one","groupnorm":"percent","x":{},"y":{},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","legend":{"orientation":"h"},"xaxis":{"domain":[0,1],"automargin":true,"dtick":10,"showgrid":false,"ticklabelstep":5,"range":[],"ticks":"outside","title":{"text":[]},"gridcolor":"#d9d9d9"},"yaxis":{"domain":[0,1],"automargin":true,"fixedrange":true,"hoverformat":".1f","showgrid":false,"ticksuffix":" % ","title":{"text":[]},"gridcolor":"#d9d9d9"},"shapes":[{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1800,"x1":1800,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1850,"x1":1850,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1900,"x1":1900,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1950,"x1":1950,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":2000,"x1":2000,"line":{"color":"#fff","width":0.20000000000000001}}],"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[10,11,23,12,11,18,10,39,66,127,158,78,45],"name":"Oceania","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"line":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1790,1800,1810,1840,1850,1860,1870,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[13,10,1,1,2,29,3,9,17,24,31,23,23,28,46,54,165,119,124],"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"line":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1790,1800,1840,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[2,1,1,9,11,12,22,14,11,32,23,17,45,26,86,62,100,91,82],"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"line":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1890,1910,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[1,1,3,11,14,18,24,24,30,71,60],"name":"Asia","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"line":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1810,1850,1860,1870,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[3,1,5,6,5,1,4,16,19,15,18,18,28,20,108,79,91],"name":"Americas","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"line":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1840,1850,1860,1870,1900,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[3,2,2,1,1,4,4,5,27,42,49,30,49,38,27],"name":"Africa","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"line":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="absolute-number-of-referendums-per-year-streamgraph-smoothed-via-kernel-density-estimaton" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-referendums-per-year-streamgraph-smoothed-via-kernel-density-estimaton">Absolute number of referendums per year (streamgraph; smoothed via kernel density estimaton)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb9"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb9-1"><a href="#cb9-1" aria-hidden="true" tabindex="-1"></a>ggplots[[<span class="st">"n_rfrnds_per_year_streamgraph"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb9-2"><a href="#cb9-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb9-3"><a href="#cb9-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">ggplot_streamgraph</span>(<span class="at">by =</span> region_custom,</span>
<span id="cb9-4"><a href="#cb9-4" aria-hidden="true" tabindex="-1"></a>                          <span class="at">period =</span> <span class="st">"year"</span>) <span class="sc">+</span></span>
<span id="cb9-5"><a href="#cb9-5" aria-hidden="true" tabindex="-1"></a>  ggplot2<span class="sc">::</span><span class="fu">guides</span>(<span class="at">fill =</span> ggplot2<span class="sc">::</span><span class="fu">guide_legend</span>(<span class="at">title =</span> ggplot2<span class="sc">::</span><span class="fu">element_blank</span>())) <span class="sc">+</span></span>
<span id="cb9-6"><a href="#cb9-6" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">ggplot2_theme</span>()</span>
<span id="cb9-7"><a href="#cb9-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb9-8"><a href="#cb9-8" aria-hidden="true" tabindex="-1"></a>ggplots[[<span class="st">"n_rfrnds_per_year_streamgraph"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<p><img src="index_files/figure-html/unnamed-chunk-9-1.png" class="img-fluid" style="width:100.0%"></p>
</div>
</div>
</section>
<section id="share-of-referendums-per-year-smoothed-via-kernel-density-estimaton" class="level4">
<h4 class="anchored" data-anchor-id="share-of-referendums-per-year-smoothed-via-kernel-density-estimaton">Share of referendums per year (smoothed via kernel density estimaton)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb10"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb10-1"><a href="#cb10-1" aria-hidden="true" tabindex="-1"></a>ggplots[[<span class="st">"rfrnd_share_per_year_streamgraph"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb10-2"><a href="#cb10-2" aria-hidden="true" tabindex="-1"></a>  data_rdb <span class="sc">|&gt;</span></span>
<span id="cb10-3"><a href="#cb10-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">ggplot_streamgraph</span>(<span class="at">by =</span> region_custom,</span>
<span id="cb10-4"><a href="#cb10-4" aria-hidden="true" tabindex="-1"></a>                          <span class="at">period =</span> <span class="st">"year"</span>,</span>
<span id="cb10-5"><a href="#cb10-5" aria-hidden="true" tabindex="-1"></a>                          <span class="at">stacking =</span> <span class="st">"proportional"</span>) <span class="sc">+</span></span>
<span id="cb10-6"><a href="#cb10-6" aria-hidden="true" tabindex="-1"></a>  ggplot2<span class="sc">::</span><span class="fu">guides</span>(<span class="at">fill =</span> ggplot2<span class="sc">::</span><span class="fu">guide_legend</span>(<span class="at">title =</span> ggplot2<span class="sc">::</span><span class="fu">element_blank</span>())) <span class="sc">+</span></span>
<span id="cb10-7"><a href="#cb10-7" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">ggplot2_theme</span>()</span>
<span id="cb10-8"><a href="#cb10-8" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb10-9"><a href="#cb10-9" aria-hidden="true" tabindex="-1"></a>ggplots[[<span class="st">"rfrnd_share_per_year_streamgraph"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<p><img src="index_files/figure-html/unnamed-chunk-10-1.png" class="img-fluid" style="width:100.0%"></p>
</div>
</div>
</section>
</section>
<section id="number-of-ballot-dates" class="level3">
<h3 class="anchored" data-anchor-id="number-of-ballot-dates">Number of ballot dates</h3>
<section id="absolute-number-of-ballot-dates-per-decade-spline-interpolated" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-ballot-dates-per-decade-spline-interpolated">Absolute number of ballot dates per decade (spline interpolated)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb11"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb11-1"><a href="#cb11-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_ballot_dates_per_decade"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb11-2"><a href="#cb11-2" aria-hidden="true" tabindex="-1"></a>  data_rdb_by_date <span class="sc">|&gt;</span></span>
<span id="cb11-3"><a href="#cb11-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds_per_period</span>(<span class="at">by =</span> region_custom,</span>
<span id="cb11-4"><a href="#cb11-4" aria-hidden="true" tabindex="-1"></a>                           <span class="at">period =</span> <span class="st">"decade"</span>) <span class="sc">|&gt;</span></span>
<span id="cb11-5"><a href="#cb11-5" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>decade,</span>
<span id="cb11-6"><a href="#cb11-6" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb11-7"><a href="#cb11-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb11-8"><a href="#cb11-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb11-9"><a href="#cb11-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb11-10"><a href="#cb11-10" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb11-11"><a href="#cb11-11" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb11-12"><a href="#cb11-12" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb11-13"><a href="#cb11-13" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb11-14"><a href="#cb11-14" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb11-15"><a href="#cb11-15" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb11-16"><a href="#cb11-16" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb11-17"><a href="#cb11-17" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_ballot_dates_per_decade"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-5bc403e1f7b162d7d6b0" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-5bc403e1f7b162d7d6b0">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,3,2,2,1,0,0,1,0,3,2,5,23,37,48,30,43,28,22],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,3,0,0,0,1,5,6,0,2,1,4,2,10,7,11,12,16,16,36,37,35],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,0,0,0,0,0,1,0,1,0,3,5,11,11,19,19,28,27,16],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[2,1,0,0,0,1,0,1,8,8,17,10,10,21,17,15,32,21,32,26,29,32,31],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[10,8,1,0,0,1,2,3,3,0,0,5,11,22,27,16,14,22,31,29,83,78,74],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010],"y":[0,0,0,0,0,0,0,0,0,0,4,5,10,5,4,9,6,13,31,36,39,24,25],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
<section id="absolute-number-of-ballot-dates-per-two-decades-20-years-spline-interpolated" class="level4">
<h4 class="anchored" data-anchor-id="absolute-number-of-ballot-dates-per-two-decades-20-years-spline-interpolated">Absolute number of ballot dates per two decades (20 years) (spline interpolated)</h4>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb12"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb12-1"><a href="#cb12-1" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_ballot_dates_per_bidecade"</span>]] <span class="ot">&lt;-</span></span>
<span id="cb12-2"><a href="#cb12-2" aria-hidden="true" tabindex="-1"></a>  data_rdb_by_date <span class="sc">|&gt;</span></span>
<span id="cb12-3"><a href="#cb12-3" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">add_period</span>(<span class="at">period =</span> <span class="st">"year"</span>) <span class="sc">|&gt;</span></span>
<span id="cb12-4"><a href="#cb12-4" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">bidecade =</span> (year <span class="sc">%/%</span> 20L) <span class="sc">*</span> 20L) <span class="sc">|&gt;</span></span>
<span id="cb12-5"><a href="#cb12-5" aria-hidden="true" tabindex="-1"></a>  rdb<span class="sc">::</span><span class="fu">n_rfrnds</span>(<span class="at">by =</span> <span class="fu">c</span>(region_custom, bidecade)) <span class="sc">|&gt;</span></span>
<span id="cb12-6"><a href="#cb12-6" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">plot_ly</span>(<span class="at">x =</span> <span class="sc">~</span>bidecade,</span>
<span id="cb12-7"><a href="#cb12-7" aria-hidden="true" tabindex="-1"></a>                  <span class="at">y =</span> <span class="sc">~</span>n,</span>
<span id="cb12-8"><a href="#cb12-8" aria-hidden="true" tabindex="-1"></a>                  <span class="at">name =</span> <span class="sc">~</span>region_custom,</span>
<span id="cb12-9"><a href="#cb12-9" aria-hidden="true" tabindex="-1"></a>                  <span class="at">type =</span> <span class="st">'scatter'</span>,</span>
<span id="cb12-10"><a href="#cb12-10" aria-hidden="true" tabindex="-1"></a>                  <span class="at">mode =</span> <span class="st">'lines'</span>,</span>
<span id="cb12-11"><a href="#cb12-11" aria-hidden="true" tabindex="-1"></a>                  <span class="at">line =</span> <span class="fu">list</span>(<span class="at">shape =</span> <span class="st">'spline'</span>,</span>
<span id="cb12-12"><a href="#cb12-12" aria-hidden="true" tabindex="-1"></a>                              <span class="at">smoothing =</span> <span class="dv">1</span>)) <span class="sc">|&gt;</span></span>
<span id="cb12-13"><a href="#cb12-13" aria-hidden="true" tabindex="-1"></a>  plotly<span class="sc">::</span><span class="fu">layout</span>(<span class="at">hovermode =</span> <span class="st">"x"</span>,</span>
<span id="cb12-14"><a href="#cb12-14" aria-hidden="true" tabindex="-1"></a>                 <span class="at">xaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>)),</span>
<span id="cb12-15"><a href="#cb12-15" aria-hidden="true" tabindex="-1"></a>                 <span class="at">yaxis =</span> <span class="fu">list</span>(<span class="at">title =</span> <span class="fu">list</span>(<span class="at">text =</span> <span class="cn">NULL</span>))) <span class="sc">|&gt;</span></span>
<span id="cb12-16"><a href="#cb12-16" aria-hidden="true" tabindex="-1"></a>  rdb.report<span class="sc">::</span><span class="fu">plotly_mod</span>()</span>
<span id="cb12-17"><a href="#cb12-17" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb12-18"><a href="#cb12-18" aria-hidden="true" tabindex="-1"></a>plotly_objs[[<span class="st">"n_ballot_dates_per_bidecade"</span>]]</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<div class="cell-output-display">
<div class="plotly html-widget html-fill-item-overflow-hidden html-fill-item" id="htmlwidget-f4997105858173027594" style="width:100%;height:480px;"></div>
<script type="application/json" data-for="htmlwidget-f4997105858173027594">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"x":{},"y":{},"mode":"lines","line":{"shape":"spline","smoothing":1},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","xaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"yaxis":{"domain":[0,1],"automargin":true,"title":{"text":[]},"gridcolor":"#d9d9d9"},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,5,3,0,1,5,28,85,73,50],"mode":"lines","line":{"color":"rgba(31,119,180,1)","shape":"spline","smoothing":1},"name":"Africa","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,3,1,11,2,5,12,18,28,52,72],"mode":"lines","line":{"color":"rgba(255,127,14,1)","shape":"spline","smoothing":1},"name":"Americas","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,0,0,1,1,3,16,30,47,43],"mode":"lines","line":{"color":"rgba(44,160,44,1)","shape":"spline","smoothing":1},"name":"Asia","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[2,1,1,9,25,20,38,47,53,55,63],"mode":"lines","line":{"color":"rgba(214,39,40,1)","shape":"spline","smoothing":1},"name":"Switzerland & Liechtenstein","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[10,9,3,6,0,16,49,30,53,112,152],"mode":"lines","line":{"color":"rgba(148,103,189,1)","shape":"spline","smoothing":1},"name":"rest of Europe","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"x":[1780,1800,1840,1860,1880,1900,1920,1940,1960,1980,2000],"y":[0,0,0,0,4,15,9,15,44,75,49],"mode":"lines","line":{"color":"rgba(140,86,75,1)","shape":"spline","smoothing":1},"name":"Oceania","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script>
</div>
</div>
</section>
</section>
</section>
<section id="export-plots-as-static-images" class="level2">
<h2 class="anchored" data-anchor-id="export-plots-as-static-images">Export plots as static images</h2>
<!-- NOTE: We have to split the code below into separate chunks to work around [quarto-dev/quarto-cli#1462](https://github.com/quarto-dev/quarto-cli/issues/1462#issuecomment-1190110129) -->
<p>The plots are exported to SVG, PNG and PDF files in the <a href="https://gitlab.com/c2d-zda/r-code/rdb_graphs_jaume/-/tree/main/output/images"><code>images/</code> folder</a>.</p>
<div class="cell">
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb13"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb13-1"><a href="#cb13-1" aria-hidden="true" tabindex="-1"></a>path_output <span class="ot">&lt;-</span> fs<span class="sc">::</span><span class="fu">dir_create</span>(<span class="st">"output/images"</span>)</span>
<span id="cb13-2"><a href="#cb13-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-3"><a href="#cb13-3" aria-hidden="true" tabindex="-1"></a>plotlee<span class="sc">::</span><span class="fu">write_img</span>(<span class="at">plots =</span> plotly_objs,</span>
<span id="cb13-4"><a href="#cb13-4" aria-hidden="true" tabindex="-1"></a>                   <span class="at">dir =</span> path_output,</span>
<span id="cb13-5"><a href="#cb13-5" aria-hidden="true" tabindex="-1"></a>                   <span class="at">formats =</span> <span class="fu">c</span>(<span class="st">"pdf"</span>, <span class="st">"png"</span>),</span>
<span id="cb13-6"><a href="#cb13-6" aria-hidden="true" tabindex="-1"></a>                   <span class="at">padding =</span> 10L)</span>
<span id="cb13-7"><a href="#cb13-7" aria-hidden="true" tabindex="-1"></a>ggplots <span class="sc">|&gt;</span></span>
<span id="cb13-8"><a href="#cb13-8" aria-hidden="true" tabindex="-1"></a>  purrr<span class="sc">::</span><span class="fu">iwalk</span>(\(obj, name) {</span>
<span id="cb13-9"><a href="#cb13-9" aria-hidden="true" tabindex="-1"></a>    </span>
<span id="cb13-10"><a href="#cb13-10" aria-hidden="true" tabindex="-1"></a>    ggplot2<span class="sc">::</span><span class="fu">ggsave</span>(<span class="at">plot =</span> obj,</span>
<span id="cb13-11"><a href="#cb13-11" aria-hidden="true" tabindex="-1"></a>                    <span class="at">device =</span> <span class="st">"svg"</span>,</span>
<span id="cb13-12"><a href="#cb13-12" aria-hidden="true" tabindex="-1"></a>                    <span class="at">filename =</span> fs<span class="sc">::</span><span class="fu">path_ext_set</span>(name, <span class="st">"svg"</span>),</span>
<span id="cb13-13"><a href="#cb13-13" aria-hidden="true" tabindex="-1"></a>                    <span class="at">path =</span> path_output)</span>
<span id="cb13-14"><a href="#cb13-14" aria-hidden="true" tabindex="-1"></a>    </span>
<span id="cb13-15"><a href="#cb13-15" aria-hidden="true" tabindex="-1"></a>    ggplot2<span class="sc">::</span><span class="fu">ggsave</span>(<span class="at">plot =</span> obj,</span>
<span id="cb13-16"><a href="#cb13-16" aria-hidden="true" tabindex="-1"></a>                    <span class="at">device =</span> <span class="st">"pdf"</span>,</span>
<span id="cb13-17"><a href="#cb13-17" aria-hidden="true" tabindex="-1"></a>                    <span class="at">filename =</span> fs<span class="sc">::</span><span class="fu">path_ext_set</span>(name, <span class="st">"pdf"</span>),</span>
<span id="cb13-18"><a href="#cb13-18" aria-hidden="true" tabindex="-1"></a>                    <span class="at">path =</span> path_output)</span>
<span id="cb13-19"><a href="#cb13-19" aria-hidden="true" tabindex="-1"></a>    </span>
<span id="cb13-20"><a href="#cb13-20" aria-hidden="true" tabindex="-1"></a>    ggplot2<span class="sc">::</span><span class="fu">ggsave</span>(<span class="at">plot =</span> obj,</span>
<span id="cb13-21"><a href="#cb13-21" aria-hidden="true" tabindex="-1"></a>                    <span class="at">device =</span> ragg<span class="sc">::</span>agg_png,</span>
<span id="cb13-22"><a href="#cb13-22" aria-hidden="true" tabindex="-1"></a>                    <span class="at">filename =</span> fs<span class="sc">::</span><span class="fu">path_ext_set</span>(name, <span class="st">"png"</span>),</span>
<span id="cb13-23"><a href="#cb13-23" aria-hidden="true" tabindex="-1"></a>                    <span class="at">path =</span> path_output)</span>
<span id="cb13-24"><a href="#cb13-24" aria-hidden="true" tabindex="-1"></a>  })</span>
<span id="cb13-25"><a href="#cb13-25" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-26"><a href="#cb13-26" aria-hidden="true" tabindex="-1"></a><span class="co"># create file listing</span></span>
<span id="cb13-27"><a href="#cb13-27" aria-hidden="true" tabindex="-1"></a>file_listing <span class="ot">&lt;-</span></span>
<span id="cb13-28"><a href="#cb13-28" aria-hidden="true" tabindex="-1"></a>  fs<span class="sc">::</span><span class="fu">dir_ls</span>(<span class="st">"output/images"</span>,</span>
<span id="cb13-29"><a href="#cb13-29" aria-hidden="true" tabindex="-1"></a>             <span class="at">recurse =</span> <span class="cn">TRUE</span>) <span class="sc">|&gt;</span></span>
<span id="cb13-30"><a href="#cb13-30" aria-hidden="true" tabindex="-1"></a>  tibble<span class="sc">::</span><span class="fu">as_tibble_col</span>(<span class="at">column_name =</span> <span class="st">"path"</span>) <span class="sc">|&gt;</span></span>
<span id="cb13-31"><a href="#cb13-31" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">path =</span> stringr<span class="sc">::</span><span class="fu">str_remove</span>(path, <span class="st">"^output/"</span>),</span>
<span id="cb13-32"><a href="#cb13-32" aria-hidden="true" tabindex="-1"></a>                <span class="at">obj =</span> stringr<span class="sc">::</span><span class="fu">str_extract</span>(path, <span class="st">"</span><span class="sc">\\</span><span class="st">w+(?=</span><span class="sc">\\</span><span class="st">.</span><span class="sc">\\</span><span class="st">w+$)"</span>)) <span class="sc">|&gt;</span></span>
<span id="cb13-33"><a href="#cb13-33" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">group_by</span>(obj) <span class="sc">|&gt;</span></span>
<span id="cb13-34"><a href="#cb13-34" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">group_map</span>(\(d, k) {</span>
<span id="cb13-35"><a href="#cb13-35" aria-hidden="true" tabindex="-1"></a>    </span>
<span id="cb13-36"><a href="#cb13-36" aria-hidden="true" tabindex="-1"></a>    <span class="fu">c</span>(glue<span class="sc">::</span><span class="fu">glue</span>(<span class="st">"- **`{k$obj}`**"</span>),</span>
<span id="cb13-37"><a href="#cb13-37" aria-hidden="true" tabindex="-1"></a>      glue<span class="sc">::</span><span class="fu">glue</span>(<span class="st">"  - [{toupper(fs::path_ext(d$path))}]({d$path})"</span>))</span>
<span id="cb13-38"><a href="#cb13-38" aria-hidden="true" tabindex="-1"></a>  }) <span class="sc">|&gt;</span></span>
<span id="cb13-39"><a href="#cb13-39" aria-hidden="true" tabindex="-1"></a>  purrr<span class="sc">::</span><span class="fu">list_c</span>(<span class="at">ptype =</span> <span class="fu">character</span>())</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
</div>
<p>The image files can be downloaded all at once as a <a href="https://gitlab.com/c2d-zda/r-code/rdb_graphs_jaume/-/archive/main/rdb_graphs_jaume-main.zip?path=output/images">ZIP archive</a>, or each one individually:</p>
<details>
<summary>Code</summary>
<div class="sourceCode cell-code" id="cb14"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb14-1"><a href="#cb14-1" aria-hidden="true" tabindex="-1"></a>pal<span class="sc">::</span><span class="fu">cat_lines</span>(file_listing)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</details>
<ul>
<li><strong><code>n_ballot_dates_per_bidecade</code></strong>
<ul>
<li><a href="images/n_ballot_dates_per_bidecade.pdf">PDF</a></li>
<li><a href="images/n_ballot_dates_per_bidecade.png">PNG</a></li>
<li><a href="images/n_ballot_dates_per_bidecade.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_ballot_dates_per_decade</code></strong>
<ul>
<li><a href="images/n_ballot_dates_per_decade.pdf">PDF</a></li>
<li><a href="images/n_ballot_dates_per_decade.png">PNG</a></li>
<li><a href="images/n_ballot_dates_per_decade.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_rfrnds_per_bidecade</code></strong>
<ul>
<li><a href="images/n_rfrnds_per_bidecade.pdf">PDF</a></li>
<li><a href="images/n_rfrnds_per_bidecade.png">PNG</a></li>
<li><a href="images/n_rfrnds_per_bidecade.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_rfrnds_per_decade</code></strong>
<ul>
<li><a href="images/n_rfrnds_per_decade.pdf">PDF</a></li>
<li><a href="images/n_rfrnds_per_decade.png">PNG</a></li>
<li><a href="images/n_rfrnds_per_decade.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_rfrnds_per_democracy_wave</code></strong>
<ul>
<li><a href="images/n_rfrnds_per_democracy_wave.pdf">PDF</a></li>
<li><a href="images/n_rfrnds_per_democracy_wave.png">PNG</a></li>
<li><a href="images/n_rfrnds_per_democracy_wave.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_rfrnds_per_era</code></strong>
<ul>
<li><a href="images/n_rfrnds_per_era.pdf">PDF</a></li>
<li><a href="images/n_rfrnds_per_era.png">PNG</a></li>
<li><a href="images/n_rfrnds_per_era.svg">SVG</a></li>
</ul></li>
<li><strong><code>n_rfrnds_per_year_streamgraph</code></strong>
<ul>
<li><a href="images/n_rfrnds_per_year_streamgraph.pdf">PDF</a></li>
<li><a href="images/n_rfrnds_per_year_streamgraph.png">PNG</a></li>
<li><a href="images/n_rfrnds_per_year_streamgraph.svg">SVG</a></li>
</ul></li>
<li><strong><code>rfrnd_share_per_year</code></strong>
<ul>
<li><a href="images/rfrnd_share_per_year.pdf">PDF</a></li>
<li><a href="images/rfrnd_share_per_year.png">PNG</a></li>
<li><a href="images/rfrnd_share_per_year.svg">SVG</a></li>
</ul></li>
<li><strong><code>rfrnd_share_per_year_streamgraph</code></strong>
<ul>
<li><a href="images/rfrnd_share_per_year_streamgraph.pdf">PDF</a></li>
<li><a href="images/rfrnd_share_per_year_streamgraph.png">PNG</a></li>
<li><a href="images/rfrnd_share_per_year_streamgraph.svg">SVG</a></li>
</ul></li>
</ul>
</section>

</main>
<!-- /main column -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
</div> <!-- /content -->



</body></html>